'/* BROWSX.H  12.06.1993 */


type bcnf                                  '/* Browse-options pass structure */
   auxkey as integer         '/* 0=display&exit; 1=reentry; >1=enter&display */
   clrbar as integer                                    '/* scroll-bar color */
   clrdat as integer                                     '/* data area color */
   clredt as integer                                     '/* edit-cell color */
   clrerr as integer                                 '/* error message color */
   clrftr as integer                             '/* footer message(s) color */
   clrhdr as integer                             '/* main header title color */
   clrmsg as integer                              '/* standard message color */
   clrttl as integer                                 '/* column titles color */
   clrwin as integer                                 '/* window border color */
   colmin as integer               '/* window start column (-1 = autoconfig) */
   edtmax as integer                            '/* no. of search fields - 1 */
   filmax as integer            '/* no. of files accessed by this module - 1 */
   fldmax as integer                         '/* no. of fields on window - 1 */
   holdln as integer               '/* TRUE if OK to hold one line on paging */
   linext as integer                '/* window-border line width (0, 1 or 2) */
   linint as integer                        '/* internal-line width (0 or 1) */
   padext as integer              '/* TRUE if OK to pad l & r of screen only */
   padint as integer                   '/* TRUE if OK to pad all data fields */
   prinit as integer                        '/* printing-initialization flag */
   rowmin as integer                  '/* window start row (-1 = autoconfig) */
   rowtot as integer               '/* window size in rows (-1 = autoconfig) */
   xkey01 as integer            '/* optional "quit" key from calling program */
   xkey02 as integer            '/* optional "quit" key from calling program */
   xkey03 as integer            '/* optional "quit" key from calling program */
   xkey04 as integer            '/* optional "quit" key from calling program */
   xkey05 as integer            '/* optional "quit" key from calling program */
   xkey06 as integer            '/* optional "quit" key from calling program */
   chradj as integer             '/* single/double-line character adjustment */
   colcnt as integer                          '/* total window width minus 2 */
   colmax as integer                                   '/* window end column */
   dspnew as integer        '/* TRUE if OK to display NEW selection this row */
   dsprow as integer               '/* current data row to display on screen */
   ftrcnt as integer                     '/* total number of footer messages */
   ftrcol as integer                    '/* start column for footer messages */
   hdrcol as integer        '/* begin column for main header title on screen */
   hdrpos as integer       '/* begin column for main header title on printer */
   hdrrow as integer      '/* TRUE if OK to display main header title in box */
   linect as integer                 '/* current total lines printed on page */
   padadj as integer                             '/* internal pad amount * 2 */
   pagect as integer           '/* current page number (total pages printed) */
   prtque as integer                                '/* printing-active flag */
   rowbeg as integer                 '/* screen row number of first data row */
   rowcnt as integer                '/* total number of data lines on window */
   rowend as integer                  '/* screen row number of last data row */
   rowmax as integer        '/* screen row number of bottom of browse window */
   scroll as integer            '/* direction of scroll:  1 = down;  -1 = up */
   titles as integer      '/* number of column (field) title rows (+1 if >0) */
   uniprt as integer                '/* logical unit number for print output */
   cdtl as string * 1        '/* left margin-to-internal line join character */
   cdtr as string * 1       '/* right margin-to-internal line join character */
   cllt as string * 1                '/* bottom-left corner of Browse window */
   clrt as string * 1               '/* bottom-right corner of Browse window */
   cstd as string * 1        '/* down margin-to-internal line join character */
   cstl as string * 1        '/* left margin-to-internal line join character */
   cstr as string * 1       '/* right margin-to-internal line join character */
   cstu as string * 1          '/* up margin-to-internal line join character */
   date as string * 10                         '/* date output format buffer */
   page as string * 4                   '/* page number output format buffer */
   prnt as string * 1            '/* print-destination string (printer/disk) */
   time as string * 6                          '/* time output format buffer */
end type

declare function browse(bc as bcnf, cdat(), ckey(), ckvl(), crcd(), cvdb(), iptr())
declare function ibr.bkey(cfcb, cmp2, ilen, lrcd)
declare function ibr.brcd(cbuf, cfcb, iwrdpos, lrcd)
declare function ibr.btrv(ioper, cfcb, cbuf, ilen, ckey, ikey)
declare function ibr.cdat(bc as bcnf, ckey(), ckvl(), cvdb())
declare function ibr.disp(bc as bcnf, cdat(), ckey(), crcd(), cvdb(), iptr())
declare function ibr.hkey(ckey(), ckvl(), crcd(), iptr())
declare function ibr.lkey(ckey(), ckvl(), crcd(), iptr())
declare function ibr.mask(cmask, ccmp1, ccmp2, cstr1, cstr2)
declare function ibr.scrl(bc as bcnf, ckvl(), cvdb(), iptr())
declare function ibr.scrn(bc as bcnf, cdat(), cvdb(), iptr())
declare function ibr.time(ctimein, ctimeout)
