'/* BASDEF.H  24.01.2003 */

defstr c, n                              '/* typedef for character variables */
defdbl d                              '/* typedef for double-float variables */
defsng f                              '/* typedef for single-float variables */
defint b, i, m, p, s                 '/* typedef for short-integer variables */
deflng l                              '/* typedef for long-integer variables */

declare function cmkd(dval)       '/* convert double-precision to MBF string */
declare function cmks(fval)       '/* convert single-precision to MBF string */
declare function dcvd(cmbf)       '/* convert MBF string to double-precision */
declare function dfn.expn(iexp)   '/* return (2 ^ iexp; whole # or fraction) */
declare function dfn.round(dval, idec) '/* round copy of dval to idec places */
declare function fcvs(cmbf)       '/* convert MBF string to single-precision */
declare function ifn.rand(irnd)      '/* return the next pseudorandom number */
declare function ifn.rtab(clin, itab)  '/* remove 'hard' tabs from text line */
declare function lfn.rand(lrnd)      '/* return the next pseudorandom number */
declare function pdqrand(imax)        '/* random-number generator substitute */
declare function pdqvali(cstr)         '/* integer val() function substitute */
declare function pdqvall&(cstr)   '/* long-integer val() function substitute */

common shared cbyt()          '/* share "byte"-type array with all functions */
common shared char()      '/* share CHR$ substitute array with all functions */
common shared dflt()      '/* share float increment array with all functions */
common shared cdsp         '/* share video display buffer with all functions */
common shared cprt                 '/* share print buffer with all functions */
common shared iprtfil              '/* share print handle with all functions */
common shared lmaxlng              '/* share max.long int with all functions */
common shared dexp32                   '/* share (2 ^ 32) with all functions */
common shared dexp64                   '/* share (2 ^ 64) with all functions */
